您当前的位置:首页 > 帝国CMS教程

使用阿里云主机安装帝国cms时出现修改php.ini的问题

来源:帝国CMS教程发布者:帝国CMS模板网时间:2019-05-28

有些客户使用阿里云虚拟主机安装帝国cms出行错误提示

您的PHP配置文件php.ini配置有问题,

请按下面操作即可解决:

1、修改php.ini,将:short_open_tag 设为 On

2、修改后重启apache/iis方能生效。

使用阿里云主机安装帝国cms时出现修改php.ini的问题

我们去阿里云主机控制面板 找到修改php.ini参数设置;

使用阿里云主机安装帝国cms时出现修改php.ini的问题

发现没有并没有short_open_tag 选项

需要修改php版本;

使用阿里云主机安装帝国cms时出现修改php.ini的问题

目前只要php版本在5.3及以下,php.ini中的short_open_tag参数默认就是在On的状态。若之前php版本不是5.3或5.3以下版本的,可以在主机控制面板--高级环境设置--php版本设置处切换php版本(切换后需要等待1-2分钟生效);若php版本必须在5.4及以上的情况,不支持修改php.ini中的short_open_tag参数。